diff -Nurp gaim-0.58/Makefile.in gaim-0.58-cygwin/Makefile.in
--- gaim-0.58/Makefile.in	2002-05-14 10:41:22.000000000 +0800
+++ gaim-0.58-cygwin/Makefile.in	2003-01-06 19:12:58.000000000 +0800
@@ -169,7 +169,7 @@ EXTRA_DIST = gaim.spec.in gaim_applet.gn
 pixmapdir = $(datadir)/gnome/apps/Internet
 pixmap_DATA = gaim.desktop
 
-SUBDIRS = m4 sounds plugins pixmaps doc po intl src
+SUBDIRS = m4 sounds pixmaps doc po intl src plugins 
 ACLOCAL_AMFLAGS = -I m4
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
diff -Nurp gaim-0.58/configure gaim-0.58-cygwin/configure
--- gaim-0.58/configure	2002-05-14 10:40:42.000000000 +0800
+++ gaim-0.58-cygwin/configure	2003-01-06 17:10:22.000000000 +0800
@@ -4826,7 +4826,8 @@ EOF
       else $CC -o impgen impgen.c ; fi)~
       $output_objdir/impgen $dir/$soroot > $output_objdir/$soname-def'
 
-    old_archive_from_expsyms_cmds='$DLLTOOL --as=$AS --dllname $soname --def $output_objdir/$soname-def --output-lib $output_objdir/$newlib'
+    #old_archive_from_expsyms_cmds='$DLLTOOL --as=$AS --dllname $soname --def $output_objdir/$soname-def --output-lib $output_objdir/$newlib'
+    old_archive_from_expsyms_cmds=
 
     # cygwin and mingw dlls have different entry points and sets of symbols
     # to exclude.
@@ -6814,7 +6815,8 @@ old_postinstall_cmds=$lt_old_postinstall
 old_postuninstall_cmds=$lt_old_postuninstall_cmds
 
 # Create an old-style archive from a shared archive.
-old_archive_from_new_cmds=$lt_old_archive_from_new_cmds
+#old_archive_from_new_cmds=$lt_old_archive_from_new_cmds
+old_archive_from_new_cmds=
 
 # Create a temporary old-style archive to link instead of a shared archive.
 old_archive_from_expsyms_cmds=$lt_old_archive_from_expsyms_cmds
diff -Nurp gaim-0.58/mkdll.sh gaim-0.58-cygwin/mkdll.sh
--- gaim-0.58/mkdll.sh	1970-01-01 08:00:00.000000000 +0800
+++ gaim-0.58-cygwin/mkdll.sh	2003-01-06 16:14:50.000000000 +0800
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# script to generate dll from libtool-generated static archive (.la file)
+# invoke in .libs directory with:
+# mkdll.sh <archive.la> <dependency libs>
+# eg:
+# mkdll.sh libtest.la -L/usr/local/lib -llocal
+
+# defaults to using gcc for libraries written in C.
+# set the CC env var to use a different compiler driver: eg
+# export CC=g++ 
+# for C++ libraries
+
+# defaults to using /usr/local as the installation PREFIX
+# override this by setting the PREFIX env var: eg
+# export PREFIX=/usr/local/gnome
+
+archive=$1
+module=$(echo $(basename $archive) | sed -e 's,^lib\(.*\).la$,\1,')
+
+shift
+dependency_libs="$@"
+
+test -n "$CC" || CC=gcc
+test -n "$PREFIX" || prefix=/usr/local
+
+# get the static library name
+old_lib=$(sed -ne '/^old_library=/ s,^old_library='\''\(.*\)'\''.*$,\1,p' $archive)
+
+# update the archive with the dll and import lib name.
+if sed -e 's,^dlname='\'\'',dlname='\'cyg${module}.dll\'',;s,^library_names='\'\'',library_names='\'lib${module}.dll.a\'',' $archive > ${archive}.tmp
+then cat ${archive}.tmp > ${archive}
+fi
+rm -f ${archive}.tmp
+
+# update the install archive if it exists
+if [ -f ${archive}i ] ; then
+#	if sed -e 's,^dlname='\'\'',dlname='\'../bin/cyg${module}.dll\'',;s,^library_names='\'\'',library_names='\'lib${module}.dll.a\'',;s,^dependency_libs=.*$,dependency_libs='\'" ${dependency_libs}"\'',' ${archive}i > ${archive}i.tmp
+	if sed -e 's,^dlname='\'\'',dlname='\'../bin/cyg${module}.dll\'',;s,^library_names='\'\'',library_names='\'lib${module}.dll.a\'',' ${archive}i > ${archive}i.tmp
+	then cat ${archive}i.tmp > ${archive}i
+	fi
+	rm -f ${archive}i.tmp
+fi
+
+# update the archive with the install dir if not already set
+# (${prefix}/lib is hard-coded here - edit it if necessary)
+libdir=${prefix}/lib
+if sed -e '/^libdir=/ s,='\'\'',='\'$libdir\'',' $archive > ${archive}.tmp
+then cat ${archive}.tmp > $archive
+fi
+rm -f ${archive}.tmp
+
+
+# report the link command to stdout
+eval echo $CC -shared -o cyg${module}.dll -Wl,--out-implib=lib${module}.dll.a \
+-Wl,--export-all-symbols -Wl,--whole-archive $old_lib -Wl,--no-whole-archive ${dependency_libs}
+
+# do the link command
+eval $CC -shared -o cyg${module}.dll -Wl,--out-implib=lib${module}.dll.a -Wl,--export-all-symbols \
+-Wl,--whole-archive *.lo -Wl,--no-whole-archive ${dependency_libs}
+
diff -Nurp gaim-0.58/plugins/Makefile.in gaim-0.58-cygwin/plugins/Makefile.in
--- gaim-0.58/plugins/Makefile.in	2002-05-14 10:41:24.000000000 +0800
+++ gaim-0.58-cygwin/plugins/Makefile.in	2003-01-06 18:29:04.000000000 +0800
@@ -108,7 +108,7 @@ KRB4_LDFLAGS = @KRB4_LDFLAGS@
 KRB4_LIBS = @KRB4_LIBS@
 LDADD = @LDADD@
 LIBICONV = @LIBICONV@
-LIBS = @LIBS@
+LIBS = $(GTK_LIBS) @LIBS@
 LIBTOOL = @LIBTOOL@
 LN_S = @LN_S@
 MAKEINFO = @MAKEINFO@
@@ -138,6 +138,8 @@ VERSION = @VERSION@
 XPM_LIBS = @XPM_LIBS@
 XSS_LIBS = @XSS_LIBS@
 ZVT_LIBS = @ZVT_LIBS@
+@GNOMEAPPLET_FALSE@GAIM_LIBS = -L../../src -lgaim
+@GNOMEAPPLET_TRUE@GAIM_LIBS = -L../../src -lgaim_applet
 gaimpath = @gaimpath@
 gnomepath = @gnomepath@
 perlpath = @perlpath@
@@ -146,11 +148,11 @@ pkgcfg = @pkgcfg@
 sedpath = @sedpath@
 
 CFLAGS = @CFLAGS@ -I\$(top_srcdir) -I\$(top_srcdir)/src -DVERSION=\"$(VERSION)\"
-SUFFIXES = .c .so
+SUFFIXES = .c .dll
 
 @PLUGINS_TRUE@plugindir = $(libdir)/gaim
 
-@PLUGINS_TRUE@plugin_DATA = autorecon.so chatlist.so iconaway.so notify.so spellchk.so
+@PLUGINS_TRUE@plugin_DATA = autorecon.dll chatlist.dll iconaway.dll notify.dll spellchk.dll
 @PLUGINS_FALSE@plugin_DATA = 
 
 EXTRA_DIST = ChangeLog PERL-HOWTO HOWTO SIGNALS autorecon.c filectl.c iconaway.c 		notify.c spellchk.c gaim.pl mailchk.c chatlist.c
@@ -173,7 +175,7 @@ TAR = gtar
 GZIP_ENV = --best
 all: all-redirect
 .SUFFIXES:
-.SUFFIXES: .c .so
+.SUFFIXES: .c .dll
 $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
 	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps plugins/Makefile
 
@@ -281,11 +283,12 @@ install uninstall-am uninstall all-redir
 mostlyclean-generic distclean-generic clean-generic \
 maintainer-clean-generic clean mostlyclean distclean maintainer-clean
 
-.c.so:
+.c.dll:
 	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c $< -o tmp$@.lo $(PLUGIN_CFLAGS)
 	$(LIBTOOL) --mode=link    $(CC) $(CFLAGS) -o libtmp$@.la -rpath $(plugindir) tmp$@.lo $(LIBS) $(LDFLAGS) -module -avoid-version $(PLUGIN_LIBS)
+	( cd .libs && ../../mkdll.sh libtmp$a.la $(GAIM_LIBS) $(LIBS) $(LDFLAGS)  )
 	@rm -f tmp$@.lo tmp$@.o libtmp$@.la
-	@cp .libs/libtmp$@.so* $@
+	@cp .libs/libtmp$@.dll* $@
 	@rm -f .libs/libtmp$@.*
 
 @PLUGINS_TRUE@$(plugin_DATA): $(top_srcdir)/src/gaim.h
diff -Nurp gaim-0.58/src/Makefile.in gaim-0.58-cygwin/src/Makefile.in
--- gaim-0.58/src/Makefile.in	2002-05-14 10:41:48.000000000 +0800
+++ gaim-0.58-cygwin/src/Makefile.in	2003-02-17 16:19:54.000000000 +0800
@@ -144,10 +144,11 @@ pixbufcfg = @pixbufcfg@
 pkgcfg = @pkgcfg@
 sedpath = @sedpath@
 
-SUBDIRS = protocols
+SUBDIRS = protocols/oscar protocols/toc . protocols
 @GNOMEAPPLET_TRUE@bin_PROGRAMS = gaim_applet
 @GNOMEAPPLET_FALSE@bin_PROGRAMS = gaim
 @GNOMEAPPLET_TRUE@gaim_applet_SOURCES = about.c 			aim.c 			applet.c 			away.c 			browser.c 			buddy.c 			buddy_chat.c 			conversation.c 			core.c 			dialogs.c 			gaimrc.c 			gtkimhtml.c 			gtkspell.c 			gtkticker.c 			html.c 			idle.c 			list.c 			md5.c 			module.c 			multi.c 			perl.c 			plugins.c 			prefs.c 			proxy.c 			prpl.c 			server.c 			sound.c 			ticker.c 			util.c
+@GNOMEAPPLET_TRUE@gaim_applet_exe_SOURCES = gaim_main.c 
 @GNOMEAPPLET_TRUE@gaim_applet_DEPENDENCIES = @LIBOBJS@ $(STATIC_LINK_LIBS)
 @GNOMEAPPLET_TRUE@gaim_applet_LDFLAGS = -export-dynamic
 @GNOMEAPPLET_TRUE@gaim_applet_LDADD = @LDADD@ @LIBOBJS@
@@ -155,6 +156,7 @@ SUBDIRS = protocols
 @GNOMEAPPLET_FALSE@gaim_DEPENDENCIES = @LIBOBJS@ $(STATIC_LINK_LIBS)
 @GNOMEAPPLET_FALSE@gaim_LDFLAGS = -export-dynamic
 @GNOMEAPPLET_FALSE@gaim_LDADD = @LDADD@ @LIBOBJS@
+@GNOMEAPPLET_FALSE@gaim_exe_SOURCES = gaim_main.c 
 CFLAGS = @CFLAGS@ $(PERL_CFLAGS) -DLOCALEDIR=\"$(datadir)/locale\" -DLIBDIR=\"$(libdir)/gaim/\" $(DEBUG_CFLAGS)
 
 LIBS = @LIBS@ $(UI_LIBS) $(SOUND_LIBS) $(STATIC_LINK_LIBS) $(PERL_LIBS) $(XSS_LIBS) $(INTLLIBS) $(DEBUG_LIBS)
@@ -183,6 +185,8 @@ LDFLAGS = @LDFLAGS@
 @GNOMEAPPLET_TRUE@prefs.$(OBJEXT) proxy.$(OBJEXT) prpl.$(OBJEXT) \
 @GNOMEAPPLET_TRUE@server.$(OBJEXT) sound.$(OBJEXT) ticker.$(OBJEXT) \
 @GNOMEAPPLET_TRUE@util.$(OBJEXT)
+@GNOMEAPPLET_TRUE@gaim_applet_exe_OBJECTS = gaim_main.$(OBJEXT)
+
 @GNOMEAPPLET_FALSE@gaim_OBJECTS =  about.$(OBJEXT) aim.$(OBJEXT) \
 @GNOMEAPPLET_FALSE@applet.$(OBJEXT) away.$(OBJEXT) browser.$(OBJEXT) \
 @GNOMEAPPLET_FALSE@buddy.$(OBJEXT) buddy_chat.$(OBJEXT) \
@@ -195,6 +199,8 @@ LDFLAGS = @LDFLAGS@
 @GNOMEAPPLET_FALSE@prefs.$(OBJEXT) proxy.$(OBJEXT) prpl.$(OBJEXT) \
 @GNOMEAPPLET_FALSE@server.$(OBJEXT) sound.$(OBJEXT) ticker.$(OBJEXT) \
 @GNOMEAPPLET_FALSE@util.$(OBJEXT)
+@GNOMEAPPLET_FALSE@gaim_exe_OBJECTS = gaim_main.$(OBJEXT)
+
 COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 CCLD = $(CC)
@@ -289,13 +295,22 @@ distclean-libtool:
 
 maintainer-clean-libtool:
 
-gaim_applet$(EXEEXT): $(gaim_applet_OBJECTS) $(gaim_applet_DEPENDENCIES)
+cyggaim_applet.dll libgaim_applet.dll.a : $(gaim_applet_OBJECTS) $(gaim_applet_DEPENDENCIES)
+	gcc -shared -o cyggaim_applet.dll -Wl,--out-implib=libgaim_applet.dll.a -Wl,--export-all-symbols $(gaim_applet_OBJECTS) -Wl,--no-whole-archive $(gaim_applet_LDADD) $(LIBS)
+
+cyggaim.dll libgaim.dll.a : $(gaim_OBJECTS) $(gaim_DEPENDENCIES)
+	gcc -shared -o cyggaim.dll -Wl,--out-implib=libgaim.dll.a -Wl,--export-all-symbols $(gaim_OBJECTS) -Wl,--no-whole-archive $(gaim_LDADD) $(LIBS)
+
+
+#gaim_applet$(EXEEXT): $(gaim_applet_OBJECTS) $(gaim_applet_DEPENDENCIES)
+gaim_applet$(EXEEXT): libgaim_applet.dll $(gaim_applet_exe_OBJECTS) 
 	@rm -f gaim_applet$(EXEEXT)
-	$(LINK) $(gaim_applet_LDFLAGS) $(gaim_applet_OBJECTS) $(gaim_applet_LDADD) $(LIBS)
+	$(LINK) $(gaim_applet_LDFLAGS) $(gaim_applet_exe_OBJECTS) $< $(gaim_applet_LDADD) $(LIBS)
 
-gaim$(EXEEXT): $(gaim_OBJECTS) $(gaim_DEPENDENCIES)
+#gaim$(EXEEXT): $(gaim_OBJECTS) $(gaim_DEPENDENCIES)
+gaim$(EXEEXT): libgaim.dll.a $(gaim_exe_OBJECTS)
 	@rm -f gaim$(EXEEXT)
-	$(LINK) $(gaim_LDFLAGS) $(gaim_OBJECTS) $(gaim_LDADD) $(LIBS)
+	$(LINK) $(gaim_LDFLAGS) $(gaim_exe_OBJECTS) $< $(gaim_LDADD) $(LIBS)
 
 # This directory's subdirectories are mostly independent; you can cd
 # into them and run `make' without going through this Makefile.
diff -Nurp gaim-0.58/src/aim.c gaim-0.58-cygwin/src/aim.c
--- gaim-0.58/src/aim.c	2002-05-05 09:16:46.000000000 +0800
+++ gaim-0.58-cygwin/src/aim.c	2003-01-06 15:52:28.000000000 +0800
@@ -549,7 +549,11 @@ static void set_first_user(char *name)
 }
 
 /* FUCKING GET ME A TOWEL! */
+#ifdef __CYGWIN__
+int gaim_main(int argc, char *argv[])
+#else
 int main(int argc, char *argv[])
+#endif
 {
 	int opt_acct = 0, opt_help = 0, opt_version = 0, opt_login = 0, do_login_ret = -1;
 	char *opt_user_arg = NULL, *opt_login_arg = NULL;
@@ -858,4 +862,4 @@ int main(int argc, char *argv[])
 
 	return 0;
 
-}
+}
\ No newline at end of file
diff -Nurp gaim-0.58/src/gaim_main.c gaim-0.58-cygwin/src/gaim_main.c
--- gaim-0.58/src/gaim_main.c	1970-01-01 08:00:00.000000000 +0800
+++ gaim-0.58-cygwin/src/gaim_main.c	2003-01-06 15:33:28.000000000 +0800
@@ -0,0 +1,8 @@
+/* #include <gaim_main.h> */
+
+extern int gaim_main(int argc, char *argv[]);
+
+int main(int argc, char *argv[])
+{
+   return gaim_main(argc, argv);   
+}
\ No newline at end of file
diff -Nurp gaim-0.58/src/plugins.c gaim-0.58-cygwin/src/plugins.c
--- gaim-0.58/src/plugins.c	2002-03-10 02:39:46.000000000 +0800
+++ gaim-0.58-cygwin/src/plugins.c	2003-01-06 16:02:08.000000000 +0800
@@ -120,7 +120,11 @@ static void load_file(GtkWidget *w, gpoi
 		buf = g_strconcat(last_dir, G_DIR_SEPARATOR_S, NULL);
 
 	gtk_file_selection_set_filename(GTK_FILE_SELECTION(plugin_dialog), buf);
+#ifndef __CYGWIN__
 	gtk_file_selection_complete(GTK_FILE_SELECTION(plugin_dialog), "*.so");
+#else
+	gtk_file_selection_complete(GTK_FILE_SELECTION(plugin_dialog), "*.dll");
+#endif
 	gtk_signal_connect(GTK_OBJECT(plugin_dialog), "destroy",
 			   GTK_SIGNAL_FUNC(destroy_plugins), plugin_dialog);
 
@@ -422,9 +426,15 @@ static const gchar *plugin_makelistname(
 	filename[sizeof(filename) - 1] = '\0';
 
 	/* Try to pretty name by removing any trailing ".so" */
+#ifndef __CYGWIN__
 	if (strlen(filename) > 3 &&
 	    strncmp(filename + strlen(filename) - 3, ".so", 3) == 0)
 		filename[strlen(filename) - 3] = '\0';
+#else
+	if (strlen(filename) > 4 &&
+	    strncmp(filename + strlen(filename) - 4, ".dll", 4) == 0)
+		filename[strlen(filename) - 4] = '\0';
+#endif
 
 	return filename;
 }		
diff -Nurp gaim-0.58/src/protocols/gg/Makefile.in gaim-0.58-cygwin/src/protocols/gg/Makefile.in
--- gaim-0.58/src/protocols/gg/Makefile.in	2002-05-14 10:41:48.000000000 +0800
+++ gaim-0.58-cygwin/src/protocols/gg/Makefile.in	2003-01-06 18:34:40.000000000 +0800
@@ -290,6 +290,7 @@ uninstall-pkgLTLIBRARIES:
 
 libgg.la: $(libgg_la_OBJECTS) $(libgg_la_DEPENDENCIES)
 	$(LINK) -rpath $(pkgdir) $(libgg_la_LDFLAGS) $(libgg_la_OBJECTS) $(libgg_la_LIBADD) $(LIBS)
+	PREFIX=$(prefix) sh $(top_srcdir)/mkdll.sh $@ -L$(top_builddir)/src -lgaim $$(gtk-config --libs)
 
 tags: TAGS
 
diff -Nurp gaim-0.58/src/protocols/icq/Makefile.in gaim-0.58-cygwin/src/protocols/icq/Makefile.in
--- gaim-0.58/src/protocols/icq/Makefile.in	2002-05-14 10:41:54.000000000 +0800
+++ gaim-0.58-cygwin/src/protocols/icq/Makefile.in	2003-01-06 18:36:12.000000000 +0800
@@ -306,6 +306,7 @@ uninstall-pkgLTLIBRARIES:
 
 libicq.la: $(libicq_la_OBJECTS) $(libicq_la_DEPENDENCIES)
 	$(LINK) -rpath $(pkgdir) $(libicq_la_LDFLAGS) $(libicq_la_OBJECTS) $(libicq_la_LIBADD) $(LIBS)
+	PREFIX=$(prefix) sh $(top_srcdir)/mkdll.sh $@ -L$(top_builddir)/src -lgaim $$(gtk-config --libs)
 
 tags: TAGS
 
diff -Nurp gaim-0.58/src/protocols/jabber/Makefile.in gaim-0.58-cygwin/src/protocols/jabber/Makefile.in
--- gaim-0.58/src/protocols/jabber/Makefile.in	2002-05-14 10:41:50.000000000 +0800
+++ gaim-0.58-cygwin/src/protocols/jabber/Makefile.in	2003-01-06 19:07:48.000000000 +0800
@@ -302,6 +302,7 @@ uninstall-pkgLTLIBRARIES:
 
 libjabber.la: $(libjabber_la_OBJECTS) $(libjabber_la_DEPENDENCIES)
 	$(LINK) -rpath $(pkgdir) $(libjabber_la_LDFLAGS) $(libjabber_la_OBJECTS) $(libjabber_la_LIBADD) $(LIBS)
+	PREFIX=$(prefix) sh $(top_srcdir)/mkdll.sh $@ -L$(top_builddir)/src -lgaim $$(gtk-config --libs)
 
 tags: TAGS
 
diff -Nurp gaim-0.58/src/protocols/jabber/jabber.c gaim-0.58-cygwin/src/protocols/jabber/jabber.c
--- gaim-0.58/src/protocols/jabber/jabber.c	2002-05-09 21:53:12.000000000 +0800
+++ gaim-0.58-cygwin/src/protocols/jabber/jabber.c	2003-01-06 15:41:22.000000000 +0800
@@ -768,7 +768,7 @@ static time_t iso8601_to_time(char *time
 #		else
 #		        ifdef HAVE_TIMEZONE
 				tzset();	/* making sure */
-				retval -= timezone;
+				retval -= _timezone;
 #		        endif
 #		endif
 	}
diff -Nurp gaim-0.58/src/protocols/jabber/libxode.h gaim-0.58-cygwin/src/protocols/jabber/libxode.h
--- gaim-0.58/src/protocols/jabber/libxode.h	2001-12-21 03:58:44.000000000 +0800
+++ gaim-0.58-cygwin/src/protocols/jabber/libxode.h	2003-01-06 15:40:28.000000000 +0800
@@ -14,8 +14,10 @@
 #include <netinet/in.h>
 #include <netdb.h>
 #include <arpa/inet.h>
+#ifndef __CYGWIN__
 #include <arpa/nameser.h>
 #include <resolv.h>
+#endif
 #include <sys/time.h>
 #include <time.h>
 
diff -Nurp gaim-0.58/src/protocols/msn/Makefile.in gaim-0.58-cygwin/src/protocols/msn/Makefile.in
--- gaim-0.58/src/protocols/msn/Makefile.in	2002-05-14 10:41:50.000000000 +0800
+++ gaim-0.58-cygwin/src/protocols/msn/Makefile.in	2003-01-06 19:08:16.000000000 +0800
@@ -288,6 +288,7 @@ uninstall-pkgLTLIBRARIES:
 
 libmsn.la: $(libmsn_la_OBJECTS) $(libmsn_la_DEPENDENCIES)
 	$(LINK) -rpath $(pkgdir) $(libmsn_la_LDFLAGS) $(libmsn_la_OBJECTS) $(libmsn_la_LIBADD) $(LIBS)
+	PREFIX=$(prefix) sh $(top_srcdir)/mkdll.sh $@ -L$(top_builddir)/src -lgaim $$(gtk-config --libs)
 
 tags: TAGS
 
diff -Nurp gaim-0.58/src/protocols/napster/Makefile.in gaim-0.58-cygwin/src/protocols/napster/Makefile.in
--- gaim-0.58/src/protocols/napster/Makefile.in	2002-05-14 10:41:52.000000000 +0800
+++ gaim-0.58-cygwin/src/protocols/napster/Makefile.in	2003-01-06 19:09:54.000000000 +0800
@@ -286,6 +286,7 @@ uninstall-pkgLTLIBRARIES:
 
 libnapster.la: $(libnapster_la_OBJECTS) $(libnapster_la_DEPENDENCIES)
 	$(LINK) -rpath $(pkgdir) $(libnapster_la_LDFLAGS) $(libnapster_la_OBJECTS) $(libnapster_la_LIBADD) $(LIBS)
+	PREFIX=$(prefix) sh $(top_srcdir)/mkdll.sh $@ -L$(top_builddir)/src -lgaim $$(gtk-config --libs)
 
 tags: TAGS
 
diff -Nurp gaim-0.58/src/protocols/zephyr/Makefile.in gaim-0.58-cygwin/src/protocols/zephyr/Makefile.in
--- gaim-0.58/src/protocols/zephyr/Makefile.in	2002-05-14 10:41:54.000000000 +0800
+++ gaim-0.58-cygwin/src/protocols/zephyr/Makefile.in	2003-01-06 19:12:26.000000000 +0800
@@ -328,6 +328,7 @@ uninstall-pkgLTLIBRARIES:
 
 libzephyr.la: $(libzephyr_la_OBJECTS) $(libzephyr_la_DEPENDENCIES)
 	$(LINK) -rpath $(pkgdir) $(libzephyr_la_LDFLAGS) $(libzephyr_la_OBJECTS) $(libzephyr_la_LIBADD) $(LIBS)
+	PREFIX=$(prefix) sh $(top_srcdir)/mkdll.sh $@ -L$(top_builddir)/src -lgaim $$(gtk-config --libs)
 
 tags: TAGS
 
